Subject: Re: [PATCH 2/2]d80211: add hardware scan callback

From: Mohamed Abbas <[email-masked]>
Date: Wed, 30 Aug 2006 11:36:14 -0700

3945 firmware and hardware still do time critical functions like  
Beaconing and power management. This restrict us once associated to 
switch channel from the driver. we need to unassociated first before 
switching to a new channel. Because of this restriction while 
associated  we can only call scan command and the firmware will take of 
tunning to available channels to listen to beacon and prob_resp.
Jiri Benc wrote:

>On Fri, 25 Aug 2006 16:32:13 +0800, Hong Liu wrote:
>  
>
>>Add hardware scan callback to support cards like ipw3945 which
>>implements the scan command in firmware.
>>    
>>
>
>How ipw3945 performs scan? From the patch, it looks like it switches
>channels (and sends probe requests) in the firmware and delivers all
>received beacons and probe responses through the normal rx path to be
>handled in a software MAC layer. This is really weird behaviour and
>doesn't make sense to me. Why isn't channel switching left to the
>software MAC as well?
>
>  
>
>>+/* set station scan completed */
>>+void ieee80211_set_scan_completed(struct net_device *dev);
>>    
>>
>
>Why "set"? "ieee80211_scan_completed" sounds better.
>
>Thanks,
>
> Jiri
>
>  
>